{% extends "xdwc/base.jinja" %}

{% block title %}Schedule - {{ tournament }}{% endblock %}

{% block content %}
    <div class="col-md-12">
        {% include "xdwc/_logo_big.jinja" %}
        <h2 class="page-header">Schedule</h2>
        {% for i in maps %}
            {% with %}
                {% set is_current = i.schedule_start < now < i.schedule_end %}
                {% set is_past = i.schedule_end < now %}
                <div class="card mb-3 {% if is_current %}text-white bg-primary{% elif is_past %}text-white bg-secondary{% endif %}">
                    <div class="card-body">
                        <h5 class="card-title">
                            <a href="/{{ tournament.slug }}/map/{{ i.xonotic_name }}/">{{ i.name }}</a>
                        </h5>
                        <p>{% for mapper in i.mapper_players.all() %}
                            {{ html_colors(mapper.nickname)|safe }}
                            {% if not loop.last %} &amp; {% endif %}
                            {% endfor %}</p>

                        <p>
                            <div class="float-right">
                                <img style="width: 200px; height: 200px" src="{{ i.get_thumbnail_url() }}"
                                    alt="{{ i.xonotic_name }}" class="img-thumbnail">
                                {% if i.download_url %}
                                    <p class="mt-2"><a href="{{ i.download_url }}">Download PK3</a></p>
                                {% endif %}
                            </div>
                            {% if is_past %}
                                <span class="font-weight-bold text-uppercase">Round completed!</span><br>
                                Check the results and videos <a href="/{{ tournament.slug }}/map/{{ i.xonotic_name }}/">here</a>
                            {% elif is_current %}
                                <span class="font-weight-bold text-uppercase">Round in progress!</span><br>
                                Check the current results <a href="/{{ tournament.slug }}/map/{{ i.xonotic_name }}/">here</a>
                            {% endif %}
                            </p>
                        {{ i.worldtimebuddy_widget_code()|safe }}
                        <p>
                            <strong>Start:</strong> {{ i.schedule_start|date("r") }}<br>
                            <strong>End:</strong> {{ i.schedule_end|date("r") }}
                        </p>
                    </div>
                </div>
            {% endwith %}
        {% endfor %}

    </div>
{% endblock %}
